|
|
|
|
|
|
|
|
|
|
xen-changelog
[Xen-changelog] Add sanity checks that let us know if there are any prob
# HG changeset patch
# User dan@xxxxxxxxxxxxxxxxxxxxxxxxxx
# Node ID e2e18ef3b204e60a0be02ed0b22acdf6bda5310e
# Parent 421ea766aaa00752efc1861e3ff560dbe74c87a0
Add sanity checks that let us know if there are any problems before
we run the entire suite
diff -r 421ea766aaa0 -r e2e18ef3b204 tools/xm-test/configure.ac
--- a/tools/xm-test/configure.ac Fri Nov 25 15:17:18 2005
+++ b/tools/xm-test/configure.ac Fri Nov 25 15:17:37 2005
@@ -35,6 +35,7 @@
Makefile
ramdisk/Makefile
tests/Makefile
+ tests/_sanity/Makefile
tests/block-list/Makefile
tests/block-create/Makefile
tests/block-destroy/Makefile
diff -r 421ea766aaa0 -r e2e18ef3b204 tools/xm-test/runtest.sh
--- a/tools/xm-test/runtest.sh Fri Nov 25 15:17:18 2005
+++ b/tools/xm-test/runtest.sh Fri Nov 25 15:17:37 2005
@@ -83,6 +83,15 @@
# See if xend is running
if ! xm list >/dev/null 2>&1; then
echo "'xm list' failed: is xend running?"
+ exit 1
+ fi
+
+ # Run a few sample tests to make sure things are working
+ # before we take the plunge
+ echo "Running sanity checks..."
+ make -C tests/_sanity check 2>&1 | grep REASON
+ if [ $? -eq 0 ]; then
+ echo "Sanity checks failed"
exit 1
fi
@@ -119,7 +128,7 @@
# Run the tests
run_tests() {
output=$1
- echo Running tests...
+ echo Running real tests...
TEST_VERBOSE=1 make -k check > $output 2>&1
}
diff -r 421ea766aaa0 -r e2e18ef3b204 tools/xm-test/tests/_sanity/01_domu_proc.py
--- /dev/null Fri Nov 25 15:17:18 2005
+++ b/tools/xm-test/tests/_sanity/01_domu_proc.py Fri Nov 25 15:17:37 2005
@@ -0,0 +1,34 @@
+#!/usr/bin/python
+
+# Copyright (C) International Business Machines Corp., 2005
+# Author: Dan Smith <danms@xxxxxxxxxx>
+
+#
+# Test that the library and ramdisk are working to the point
+# that we can start a DomU and read /proc
+#
+
+from XmTestLib import *
+
+import re
+
+domain = XmTestDomain()
+
+try:
+ domain.start()
+except DomainError, e:
+ FAIL(str(e))
+
+try:
+ console = XmConsole(domain.getName())
+ console.sendInput("foo")
+ run = console.runCmd("cat /proc/cpuinfo")
+except ConsoleError, e:
+ FAIL(str(e))
+
+if run["return"] != 0:
+ FAIL("Unable to read /proc/cpuinfo")
+
+if not re.search("processor", run["output"]):
+ print run["output"]
+ FAIL("/proc/cpuinfo looks wrong!")
diff -r 421ea766aaa0 -r e2e18ef3b204 tools/xm-test/tests/_sanity/Makefile.am
--- /dev/null Fri Nov 25 15:17:18 2005
+++ b/tools/xm-test/tests/_sanity/Makefile.am Fri Nov 25 15:17:37 2005
@@ -0,0 +1,21 @@
+
+SUBDIRS =
+
+TESTS = 01_domu_proc.test
+
+XFAIL_TESTS =
+
+EXTRA_DIST = $(TESTS) $(XFAIL_TESTS)
+
+TESTS_ENVIRONMENT=@TENV@
+
+%.test: %.py
+ cp $< $@
+ chmod +x $@
+
+clean-local: am_config_clean-local
+
+am_config_clean-local:
+ rm -f *test
+ rm -f *log
+ rm -f *~
_______________________________________________
Xen-changelog mailing list
Xen-changelog@xxxxxxxxxxxxxxxxxxx
http://lists.xensource.com/xen-changelog
|
<Prev in Thread] |
Current Thread |
[Next in Thread> |
- [Xen-changelog] Add sanity checks that let us know if there are any problems before,
Xen patchbot -unstable <=
|
|
|
|
|